[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.CharCase

CharCase - rules for what case to use (upper or lower) to display text

## Declaration

Source position: stdctrls.pp line 742

`public property TCustomEdit.CharCase: TEditCharCase read FCharCase write SetCharCase default ecNormal;`

## Description

Indicates how text is displayed in a text editing control in the following ways:

- Normal case letters
- Upper case letters
- Lower case letters

The rules can, of course, be overridden by use of the shift key.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.